input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    display: block;
    position: relative;
    background: transparent;
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        height: rem(40);
        outline: none;
        color: $black;
        font-weight: 400;
        font-size: rem(16);
        line-height: rem(24);
        padding: rem(7) rem(20);
        background: #fff;
        display: inline-block;
        vertical-align: middle;
        border: rem(1) solid $white;
        border-radius: 4px;
        box-shadow: 0px 5px 20px rgba(0, 0, 0, 0.12);
        @include placeholder(#B5B5B5);
        transition: .3s;

        &:-moz-placeholder,
        &::-webkit-input-placeholder {
            font-weight: 300;
        }

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
            box-shadow: 0px 5px 20px rgba(0, 0, 0, 0.24);
            transition: .3s;
        }


        &.error {
            border-color: red !important;
        }
    }


    textarea {
        height: auto;
        resize: none;
    }

}
